/* Plugin: CPU Stat 
 * File: clientcommands.cpp
 * Author: Prodigy (jcouzens@uhfco.net)
 * Date: April 21, 2003
 * Info: functions executable by the server
*/


#include "clientcommands.h"

extern float myPlayerArray[32];
extern char CLIENT_STR[MAXMSG];

void clientCommand(edict_t *pEntity)
{
	int pid = ENTINDEX(pEntity);

	if (pid <= 0 || pid > 32)
		RETURN_META(MRES_IGNORED);

	if (stricmp(CMD_ARGV(0),"say") != 0 && stricmp(CMD_ARGV(0),"say_team") != 0)
		RETURN_META(MRES_IGNORED);

	if (strnicmp(CMD_ARGV(1),"/cpu",4) != 0)
		RETURN_META(MRES_IGNORED);
	else
	{
		char testStr[32] = " ";
		const char *cpuStatPasswd = NULL;

		if (strlen(CMD_ARGV(1)) <= 6)
			RETURN_META(MRES_IGNORED);

		cpuStatPasswd = CVAR_GET_STRING("cpustat_passwd");
		snprintf(testStr,32,"/cpu %s",cpuStatPasswd);

		if (stricmp(CMD_ARGV(1),testStr) != 0)
		{
			sprintf(CLIENT_STR, "You have supplied an invalid password, sorry.\n");
			sendTextMsg(pEntity, HUD_PRINTTALK, CLIENT_STR);
			RETURN_META(MRES_SUPERCEDE);
		}
		else
		{
			// Turn them on	
			if (myPlayerArray[pid] != 1.0f)
			{
				myPlayerArray[pid] = 1.0f;

				sprintf(CLIENT_STR, "You will now receive server statistics info...\n");
				sendTextMsg(pEntity, HUD_PRINTTALK, CLIENT_STR);
			}
			// Turn them off
			else
			{
				myPlayerArray[pid] = 0.0f;
	
				sprintf(CLIENT_STR, "You will no longer receive server statistics info...\n");
				sendTextMsg(pEntity, HUD_PRINTTALK, CLIENT_STR);
			}

			RETURN_META(MRES_SUPERCEDE);
		}
	}
	
	RETURN_META(MRES_HANDLED);
}