/* Plugin: CPU Stat 
 * File: servercommands.cpp
 * Author: Prodigy (jcouzens@uhfco.net)
 * Date: April 21, 2003
 * Info: functions executable by the server
*/

#include <extdll.h>		//always
#include <string.h>		//to prevent linux errors while processing meta_api.h
#include <meta_api.h>
#include <sdk_util.h>		//pre-defined function definitions saves us a lot of work
#include <cbase.h>
#include "plugin.h"
#include "utilfunctions.h"
#include "servercommands.h"

extern float myPlayerArray[32];

void cpuStat(void)
{
        int iArgs = 0;
        int pid = 0;

        char tmpMsg[256] = " ";

        iArgs = CMD_ARGC();

        if (iArgs != 3) return;

        CBaseEntity *pPlayer = NULL;

        pPlayer = getPlayerFromUserId(atoi(CMD_ARGV(1)));

        if (pPlayer)
        {
		snprintf(tmpMsg,256,"cpuStat called with player # %i\n",ENTINDEX(pPlayer->edict()));
		SERVER_PRINT(tmpMsg);

                pid = ENTINDEX(pPlayer->edict());

                if (atoi(CMD_ARGV(2)) == 1)
                {
                        myPlayerArray[pid] = 1.0f;
                        snprintf(tmpMsg,256,"cpuStat: ON for Player [%i]\n",pid);
                        SERVER_PRINT(tmpMsg);
                }
                else if (atoi(CMD_ARGV(2)) == 0)
                {
                        myPlayerArray[pid] = 0.0f;
                        snprintf(tmpMsg,256,"cpuStat: OFF for Player [%i]\n",pid);
                        SERVER_PRINT(tmpMsg);
                }
        }
}
